
#ifndef ITAT_CHALLANGE_OLYMPICS_SPORT_H
#define ITAT_CHALLANGE_OLYMPICS_SPORT_H


#include <set>

#include <QJsonObject>
#include <QJsonDocument>
#include <QString>

using namespace std;


class Sport {

public:

    Sport(QJsonObject discipline) {
        this->discipline = discipline;
    }

    set<QString> getCategories();
    QJsonArray getCompetitorsByCategory(QString category);

    // chainable
    QJsonObject filterByName(QJsonObject discipline, QString name);
    QJsonObject filterByCountry(QJsonObject discipline, QString name);

    void setDiscipline(QJsonObject discipline) {
        this->discipline = discipline;
    }

private:

    QJsonObject discipline;

};


#endif //ITAT_CHALLANGE_OLYMPICS_SPORT_H
