# ITAT_Challange_Olympics

## Registration for Challange

This is my registration for the challange in "Informationstechnik und Automatisierungstechnik".

## Information Gathering

Overview:
https://olympics.com/en/paris-2024/sports

Pictograms:
https://olympics.com/en/paris-2024/the-games/the-brand/pictograms

API Request for Archery Data:
```js
await (await fetch("https://sph-s-api.olympics.com/summer/schedules/api/ENG/schedule/discipline/ARC", {
  "method": "GET",
})).json();
```
Table for \[ABC\]:
|Sport|Short|
|---|---|
|Archery|ARC|
|Basketball 3v3|BK3|
|Taekwondo|TKW|


Archery:
- rules: https://olympics.com/en/paris-2024/sports/archery
- explanation: https://www.nbcphiladelphia.com/paris-2024-summer-olympics/olympics-archery-rules-events-history/3783592/
- competition schedule: https://olympics.com/en/paris-2024/schedule/archery
- participating nations/athletes: https://en.wikipedia.org/wiki/Archery_at_the_2024_Summer_Olympics_%E2%80%93_Qualification

Taekwondo:
- rules: https://olympics.com/en/paris-2024/sports/taekwondo
